Ubuntu

"Error probing SMB2" boot message on nVidia ION chipset (Acer Aspire Revo, ASrock ION 330, ASUS netbooks...)

Reported by Tom Harris on 2009-10-05
318
This bug affects 69 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
Nominated for Lucid by amano

Bug Description

I am receiving the following messages after grub and before xsplash on a fresh install of Karmic Beta on an Acer Aspire Revo R3600.

usb_id[331]: unable to access '/devices/pci0000:00/0000:00:04.0/usb2/2-(...)
[ 7.316814] sd 6:0:0:0: [sdb] Assuming drive cache: write through
[ 7.318798] sd 6:0:0:0: [sdb] Assuming drive cache: write through
[ 7.329802] sd 6:0:0:0: [sdb] Assuming drive cache: write through
[ 13.007497] ACPI: I/O resource nForce2_smbus [0x4e00-0x4e3f] conflicts with ACPI region SM00 [0x4e00-0x4e3f]
[ 13.007580] nForce2_smbus 0000:00:03.2: Error probing SMB2.
[ 14.097592] acer-wmi: No or unsupported WMI interface, unable to load
[ 14.113353] acerhdf: unknown (unsupported) BIOS version Acer/Aspire R3600/R01-A1L, please report, aborting!
[ 15.134938] invalid HEADER
[ 15.135066] invalid HEADER
fsck from util-linux 2.16
/dev/sda5: clean, 129782/365040 files, 687909/1457890 blocks
* Setting preliminary keymap
* Starting AppArmor profiles
Skipping profile in /etc/apparmor.d/disable: usr.bin.firefox-3.5
* Setting up console font and keymap...

ProblemType: Bug
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: tom 1686 F.... pulseaudio
 /dev/snd/controlC1: tom 1686 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'NVidia'/'HDA NVidia at 0xfae78000 irq 21'
   Mixer name : 'Nvidia MCP7A HDMI'
   Components : 'HDA:10ec0662,10250222,00100101 HDA:10de0007,10de0101,00100100'
   Controls : 18
   Simple ctrls : 9
Card1.Amixer.info:
 Card hw:1 'Q9000'/'Logitech, Inc. QuickCam Pro 9000 at usb-0000:00:04.1-2, high speed'
   Mixer name : 'USB Mixer'
   Components : 'USB046d:0990'
   Controls : 2
   Simple ctrls : 1
Card1.Amixer.values:
 Simple mixer control 'Mic',0
   Capabilities: cvolume cvolume-joined cswitch cswitch-joined
   Capture channels: Mono
   Limits: Capture 0 - 3072
   Mono: Capture 1510 [49%] [18.00dB] [on]
Date: Mon Oct 5 14:48:55 2009
DistroRelease: Ubuntu 9.10
HibernationDevice: RESUME=UUID=eea9c9c3-dce1-4dd9-81e9-f5070a2049fc
MachineType: Acer Aspire R3600
NonfreeKernelModules: nvidia
Package: linux-image-2.6.31-11-generic 2.6.31-11.36
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-11-generic root=UUID=e10e9074-f3e9-4755-b1a4-c659ff7ff51a ro quiet splash
ProcEnviron:
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-11.36-generic
RelatedPackageVersions:
 linux-backports-modules-2.6.31-11-generic N/A
 linux-firmware 1.19
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
Uname: Linux 2.6.31-11-generic i686
dmi.bios.date: 05/22/2009
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: R01-A1L
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: MCP7A
dmi.board.vendor: Acer
dmi.chassis.type: 3
dmi.chassis.vendor: Acer
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrR01-A1L:bd05/22/2009:svnAcer:pnAspireR3600:pvr:rvnAcer:rnMCP7A:rvr:cvnAcer:ct3:cvr:
dmi.product.name: Aspire R3600
dmi.sys.vendor: Acer

Tom Harris (tom-harris) wrote :
tags: added: ubuntu-boot-experience

I get a similar message on startup. Additional I have another problem. My background in gnome is always black and I cannot see the files which are on my desktop. I've already tried to change my background picture but this does not fix the problem.

Is there a connection between those problems?

Philip Muškovac (yofel) on 2009-10-05
Changed in linux (Ubuntu):
status: New → Confirmed
Changed in linux (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → Medium
Tom Harris (tom-harris) wrote :

Is there anything more I can do to help with this?

amano (jyaku) wrote :

As I commented on the duplicate bug before, this happens on the ASRock ION 339 as well. The nVidia ION chipset might be the cause for this problem (some 9400 nVidia chip is used with this chipset), as the Revo and the ASRock ION seem to both use it.

amano (jyaku) wrote :

To clarify the behaviour: I can confirm just error. Other problems (not booting, fschk hangs,..) seem unrelated.

I get a blinking cursor for about 10 seconds, then I see the "error probing smb2" for 2 seconds and then I see plymouth for 2 seconds which is followed by GDM then.

I too have problems with the standard nouveau driver. I can get it to work just after being offered the x-failsafe option. If I go with the first choice (low settings for this boot), everything is ok. Booting with the binary blobs is fine as well.

I attach 2 logs: Xorg.failsafe.log deals with booting using the nouveau driver, Xorg.5.log deals with booting using the nVidia blob. I hope that those are the right one.

amano (jyaku) wrote :

Everything with latest Lucid (Beta 2, close to RC).

amano (jyaku) wrote :

Bug 560274 is probably a duplicate as well.

summary: - Boot messages on Acer Aspire Revo (R3600)
+ "Error probing SMB2" boot message on nVidia ION chipset (Acer Aspire
+ Revo, ASrock ION 330, ASUS netbooks...)
siknasa9 (randy-curry666) wrote :

Lucid Beta x86_64
XFX 750a sli

I don't get the xorg failure but I do get the "error probing..." message and complaints from dmesg.

Floyd Wan (fwonce) wrote :

Lucid Lynx desktop amd64 LTS

ASUA K50in

I can't install

coubi64 (frederic-valentin) wrote :

Same problem for me with fresh Lucid Lynx install (64 bits version) on Asrock Ion 330 HT:

[ 5.870840] ACPI: resource nForce2_smbus [0x4e00-0x4e3f] conflicts with ACPI region SM00 [0x004e00-0x004e3f]
[ 5.870846] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
[ 5.870853] nForce2_smbus 0000:00:03.2: Error probing SMB2.

I attached the full kern.log logs

Dmitry Maruschenko (yojick) wrote :

The same message with Zotac GeForce 9300-ITX Wi-Fi motherboard.

miplou (miplou) wrote :

Same problem with my Zotac IONITX-A-E motherboard (Atom330 & Nvidia ION (9400)) :
nForce2_smbus 0000:00:xx.x: Error probing SMB2

Anton Zayats (anton-zayats) wrote :

Same problem on 10.04 LTS i386 pae. MB is Gigabyte GA-E7AUM-DS2H with integrated Nvidia 9400 chipset.
Nvidia drivers are from ubuntu repositories.

Juergen (juergen-mayr) wrote :

Hello,

I have the same "problem". I work with an ASUS EEE-BOX with ION-Chip.
I'm Using the ready Mythbuntu 10.04 LTS

Jürgen

aatoma (antonio-toma) wrote :

I had the same exact issue on a Foxconn nt330i NetBox after installing Lucid final.
Nothing changed after updating the kernel to version 2.6.32-22 yesterday.
So far, the only effect I see is the slowdown in the boot process, everything else seems to be working.

iranintoavan (iranintoavan) wrote :

Same problem here. I have the Aspire Revo with ION running Lucid.

I turn it on and it shows the blinking line for a few seconds, then shows these errors:

nForce2_smbus: Error probing SMB1
nForce2_smbus: Error probing SMB2
acer-wmi: No or unsupported WMI interface, unable to load.

Then it shows the Ubuntu splash in a very low resolution and then boots up normally.

Haven't noticed any other problems, just the boot process. I don't know what logs to look at to copy and paste the results into here so I took a video of the boot process.

Here it is: http://www.youtube.com/watch?v=HGi_CFziG2k

n4mwd (n4mwd) wrote :

Same problem here with Zotac IONITX-F and also ASUS AT3N7A - both running NVIDIA ION chipsets.

bitlisz (bitlisz) wrote :

Same problem on Poit of View ION-CS330-1.

Minimum 10second delay and the this error:
nForce2_smbus: Error probing SMB2....

Funny, but now i have longer boot time than with ubuntu 9.10.

Laurent Dinclaux (dreadlox) wrote :

Same: Asus K50in

Changed in linux (Ubuntu):
status: Triaged → Confirmed
Philip Muškovac (yofel) on 2010-06-03
Changed in linux (Ubuntu):
status: Confirmed → Triaged
aatoma (antonio-toma) wrote :

Just to add information, I'm experiencing this bug on a custom built PC based on Asus M4N78-PRO motherboard (GeForce 8300 chipset).
Same message, same delay in boot.

Marco Lutz (marcolutz) wrote :

Same Problem on my Netbox 330i barebone
chipset: nVidia MCP7A-ION
dmesg
[ 7.403980] i2c i2c-0: nForce2 SMBus adapter at 0x4d00
[ 7.403995] ACPI: resource nForce2_smbus [0x4e00-0x4e3f] conflicts with ACPI region SM00 [0x4e00-0x4e3f]
[ 7.404004] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
[ 7.404014] nForce2_smbus 0000:00:03.2: Error probing SMB2.

Bagpuss (ian-sproink) wrote :

Adding another report to this one, since we're nearly halfway to the next release and this bug is seemingly unassigned still. I know that development is done on a hugely voluntary basis, but if Ubuntu is to "just work" and gain mass acceptance, particularly with the targets for best-in-class boot speed...

Acer Aspire Revo, same boot symptoms, no ACPI override works, no apparent problems beyond the slow boot.

Jor (jlcigm) wrote :

Same problem on a HP S3707c with a 9800gt graphic card.
Kernel 2.6.32.23 and still it hasn't been fixed.

mvisa (mikko-puolikuu) wrote :

Asus M3N78-EM, same problem here. Slows down boot.

[ 11.665940] nForce2_smbus 0000:00:03.2: Error probing SMB2.
Same problem too. Eee PC 1201N, atom330, chipset ion, nvidia 9400m with 10.4

Kouen (cramiro9) wrote :

ACPI: resource nForce2_smbus [0x2e00-0x2e3f] conflicts with ACPI region SM00 [0x2e00-0x2e3f]
ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
nForce2_smbus 0000:00:01.1: Error probing SMB2.

Same error here
Motherboard M4n78 Pro, AMD PHENOM II 965, Chipset geforce 8300 linux ver 10.04

Walt71 (rossi-walter) wrote :

Hello,
i'm typing from Italy. I've Ubuntu 10.04 and i've the same problems
Motherboard Asus Striker Extreme (Chipset nVidia)
Nvidia GTX260

I hope someone will fix it until the next release 10.10

Ciao

Ion-Scion (tommerdoo) wrote :

Hello,
I'm also a proud owner of an Ion 1201n (Asus EEE) and have the same problem:

[ 16.181997] ACPI: resource nForce2_smbus [0x4e00-0x4e3f] conflicts with ACPI region SM00 [0x4e00-0x4e3f]
[ 16.182007] ACPI: If an ACPI driver is available for this device, you should: use it instead of the native driver
[ 16.182016] nForce2_smbus 0000:00:03.2: Error probing SMB2.
[ 16.202753] Linux agpgart interface v0.103
[ 16.283454] nvidia: module license 'NVIDIA' taints kernel.
[ 16.283465] Disabling lock debugging due to kernel taint
[ 16.298166] acpi device:11: registered as cooling_device4

Also - Ubuntu has locked up on me several times (don't know if this is related though).

Thanks to those doing the hard work out there! I love Ubuntu - totally switched over now.

I'm Owner of an ASUS 1201N and i solved this message by adding
GRUB_CMDLINE_LINUX="acpi_enforce_resources=lax" to my /etc/default/grub

I found this on this site : http://users.skynet.be/linux-rixensart/1_suite.html#fn

Coman Mihai (z0id) wrote :

Also happens on GeForce 8200M G.

Ion-Scion (tommerdoo) wrote :

Thanks Sylvain for your comment -- I did what you said - adding the command line to my /etc/default/grub

I restarted my computer and the problem was not fixed. Then I noticed that when using the editor it asked me to run a sudo update-grub command.

I ran the command but to my surprise I got:

/etc/default/grub: 11: GRUB: not found

This is very strange as I cannot find anything on the internet about this error/problem updating the grub file.

Anybody have any ideas?

ASUS EEE 1201n NVidia Ion

Same problem here with M3N78-VM:

[ 11.511572] i2c i2c-0: nForce2 SMBus adapter at 0x600
[ 11.511577] ACPI: resource nForce2_smbus [0x700-0x73f] conflicts with ACPI region SM00 [0x700-0x73f]
[ 11.511578] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
[ 11.511580] nForce2_smbus 0000:00:01.1: Error probing SMB2.

lui (llui) wrote :

Same problem on Ubuntu 10.4 and Asus M3N78-EM:

[ 21.202015] i2c i2c-0: nForce2 SMBus adapter at 0x600
[ 21.202020] ACPI: resource nForce2_smbus [0x700-0x73f] conflicts with ACPI region SM00 [0x000700-0x00073f]
[ 21.202022] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
[ 21.202024] nForce2_smbus 0000:00:01.1: Error probing SMB2.
[ 21.209010] EDAC MC: Ver: 2.1.0 Jul 28 2010
[ 21.210711] shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
[ 21.230922] EDAC amd64_edac: Ver: 3.2.0 Jul 28 2010
[ 21.232812] [Firmware Bug]: ACPI(IGPU) defines _DOD but not _DOS
[ 21.232999] input: Video Bus as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A03:00/device:11/LNXVIDEO:00/input/input6
[ 21.233040] ACPI: Video Device [IGPU] (multi-head: yes rom: no post: no)
[ 21.234937] it87: Found IT8712F chip at 0x290, revision 8
[ 21.234947] it87: in3 is VCC (+5V)
[ 21.234948] it87: in7 is VCCH (+5V Stand-By)
[ 21.234971] ACPI: resource it87 [0x295-0x296] conflicts with ACPI region ECRE [0x290-0x2af]
[ 21.234973] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver

John Bruno (jbalaska) wrote :

Workaround as per Sylvain Bourdette (Thanks!)

edit /etc/default/grub and add the entry to the GRUB_CMDLINE_LINUX_DEFAULT= line
[code]GRUB_CMDLINE_LINUX_DEFAULT="acpi_enforce_resources=lax quiet splash"
[/code]

Then Do:
[code]sudo update-grub[/code]

nZain (patrick-stalph) wrote :

I can confirm the bug (the 1000th time, douh!) on a Zotac ZBox ND02 nettop (ION chipset). I'll report back, if the kernel options workaround helps to avoid the message (low WAF on a media center).

nZain (patrick-stalph) wrote :

So, I checked dmesg | grep nForce and got the same messages as posted above. Adding the "lax" option helped to avoid the message, although the "problem" is not resolved: dmesg still tells the same messages. However, I couldn't find any issues on my nettop, neither before/after the lax option.

Bugs seems to be solved in maverick.
this message does'nt appear any more after upgrade

@sylvain Bourdette:

Is the message still in dmesg output in Maverick?

J R (junk3) wrote :

As the problem still exists on my ZOTAC MAG ND01 running Ubuntu 10.04.2 LTS and as LTS stands for Long Time Support as far as I know:

Is there any chance that this gets fixed for Lucid Lynx as well?

The workaround from Sylvain only removes the error message on my computer but does not speed up the boot process.

This bug was filed against a series that is no longer supported and so is being marked as Won't Fix. If this issue still exists in a supported series, please file a new bug.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: Triaged → Won't Fix

I don't understand the "Won't Fix". This bug shows up in Lucid LTS which is still supported. See the status near the top "Nominated for Lucid by Amano".

It definitely shows up in Lucid, even with recent updates.

How could creating a clone of this bug report help anything?

Michael Zaugg (AOI) (it-oas) wrote :

Same with a Asus M3N78-EM Motherboard.

To get Ubuntu booting every time you can disable the splash screen in the kernel parameter or hit ESC while Ubuntu is showing the splash screen. With this booting won't stuck.

To disable splash screen modify as root in /etc/default/grub

GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"
to
GRUB_CMDLINE_LINUX_DEFAULT=""

Save it and run as root: update-grub

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers